:host {
  display: inline-block;
}

$color-dimensions: 24px;
$color-border-radius: 2px;
.annotation-color-palette div {
  height: $color-dimensions;
  min-width: $color-dimensions;

  &:first-child {
    border-top-left-radius: $color-border-radius;
    border-bottom-left-radius: $color-border-radius;
  }
  &:last-child {
    border-top-right-radius: $color-border-radius;
    border-bottom-right-radius: $color-border-radius;
  }
}

.annotation-color-palette {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: stretch;
}

